{
  "name": "@service/api",
  "private": true,
  "version": "0.0.23",
  "type": "module",
  "scripts": {
    "build": "tsup && vite build",
    "dev": "vite build --watch",
    "generate": "prisma generate",
    "mesh": "multiplatform.one mesh",
    "seed": "cd prisma && tsup && cd .. && prisma db seed",
    "test": "vitest run --coverage --coverage.provider=v8 --coverage.reporter=text --coverage.reporter=lcov --coverage.reporter=html",
    "typecheck": "tsc --noEmit"
  },
  "dependencies": {
    "@escape.tech/graphql-armor-block-field-suggestions": "^2.2.0",
    "@escape.tech/graphql-armor-max-depth": "^2.4.0",
    "@escape.tech/graphql-armor-max-tokens": "^2.5.0",
    "@graphql-mesh/cli": "^0.96.12",
    "@graphql-mesh/graphql": "^0.102.16",
    "@graphql-mesh/plugin-operation-field-permissions": "^0.102.13",
    "@graphql-mesh/plugin-rate-limit": "^0.102.13",
    "@graphql-mesh/plugin-response-cache": "^0.102.13",
    "@graphql-mesh/transform-filter-schema": "^0.102.13",
    "@graphql-mesh/transform-prefix": "^0.102.13",
    "@multiplatform.one/envelop-multiplatform-plugin": "workspace:5.0.27",
    "@multiplatform.one/keycloak-typegraphql": "workspace:5.0.27",
    "@multiplatform.one/prisma-scripts": "workspace:5.0.27",
    "@multiplatform.one/typegraphql": "workspace:5.0.27",
    "@multiplatform.one/utils": "workspace:5.0.27",
    "@prisma/client": "5.12.1",
    "@whatwg-node/server": "^0.9.65",
    "class-validator": "^0.14.1",
    "dotenv": "^16.4.7",
    "graphql": "^16.10.0",
    "graphql-fields": "^2.0.3",
    "graphql-scalars": "^1.24.0",
    "graphql-ws": "^5.16.2",
    "graphql-yoga": "^5.10.9",
    "multiplatform.one": "workspace:5.0.27",
    "prisma": "~5.12.1",
    "reflect-metadata": "^0.2.2",
    "type-graphql": "2.0.0-rc.1",
    "typegraphql-prisma": "^0.27.2",
    "ws": "^6.2.3"
  },
  "devDependencies": {
    "@multiplatform.one/cli": "workspace:5.0.27",
    "@rollup/plugin-typescript": "^12.1.2",
    "@swc/core": "^1.10.7",
    "@swc/helpers": "^0.5.15",
    "@vitest/coverage-v8": "^1.2.1",
    "tsup": "^8.3.5",
    "unplugin-swc": "^1.5.1",
    "vite": "^6.0.3",
    "vite-plugin-node": "^3.1.0",
    "vitest": "^1.6.0"
  },
  "prisma": {
    "seed": "node dist/scripts/seed.js"
  }
}
